---
title: Get agent readiness summary
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Radar](https://developers.cloudflare.com/api/python/resources/radar)

[Agent Readiness](https://developers.cloudflare.com/api/python/resources/radar/subresources/agent_readiness)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get agent readiness summary

radar.agent\_readiness.summary(Literal\["CHECK"]dimension, AgentReadinessSummaryParams\*\*kwargs) -> [AgentReadinessSummaryResponse](<https://developers.cloudflare.com/api/python/resources/radar#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)>)

GET/radar/agent\_readiness/summary/{dimension}

Returns a summary of AI agent readiness scores across scanned domains, grouped by the specified dimension. Data is sourced from weekly bulk scans. All values are raw domain counts.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

dimension: Literal\["CHECK"]

Specifies the agent readiness data dimension by which to group the results.

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)>)

date: Optional\[Union\[null, null]]

Filters results by the specified date.

formatdate

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20date%20%3E%20(schema)>)

domain\_category: Optional\[Sequence\[str]]

Filters results by domain category.

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20domainCategory%20%3E%20(schema)>)

<details>

<summary>

format: Optional\[Literal\["JSON", "CSV"]]

Format in which results will be returned.

</summary>

One of the following:

"JSON"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"CSV"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)>)

name: Optional\[Sequence\[str]]

Array of names used to label the series in the response.

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(method)%20summary%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AgentReadinessSummaryResponse: …

</summary>

<details>

<summary>

meta: Meta

</summary>

date: date

Date of the returned scan (YYYY-MM-DD). May differ from the requested date if no scan exists for that exact date.

formatdate

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20date">Link to this property</a>

<details>

<summary>

domain\_categories: List\[MetaDomainCategory]

Available domain sub-categories with their scan counts. Use as filter options for the domainCategory parameter.

</summary>

name: str

Sub-category name.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

value: int

Number of successfully scanned domains in this sub-category.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20domainCategories">Link to this property</a>

last\_updated: datetime

Timestamp of the last dataset update.

formatdate-time

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20lastUpdated">Link to this property</a>

<details>

<summary>

normalization: Literal\["PERCENTAGE", "MIN0\_MAX", "MIN\_MAX", 5 more]

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>.

</summary>

One of the following:

"PERCENTAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%200">Link to this property</a>

"MIN0\_MAX"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%201">Link to this property</a>

"MIN\_MAX"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%202">Link to this property</a>

"RAW\_VALUES"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%203">Link to this property</a>

"PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%204">Link to this property</a>

"ROLLING\_AVERAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%205">Link to this property</a>

"OVERLAPPED\_PERCENTAGE"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%206">Link to this property</a>

"RATIO"

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization">Link to this property</a>

successful\_domains: int

Domains successfully scanned (excludes errors).

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20successfulDomains">Link to this property</a>

total\_domains: int

Total domains attempted in the scan.

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20totalDomains">Link to this property</a>

<details>

<summary>

units: List\[MetaUnit]

Measurement units for the results.

</summary>

name: str

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

value: str

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units">Link to this property</a>

</details>

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

summary\_0: Dict\[str, str]

<a href="#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)%20%3E%20(property)%20summary_0">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.agent_readiness%20%3E%20(model)%20agent_readiness_summary_response%20%3E%20(schema)>)

### Get agent readiness summary

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.agent_readiness.summary(
    dimension="CHECK",
)
print(response.meta)
```

200 example

```
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
```